[Prev: MSGIDLINK] | [Resources][TOC] | [Next: MSGPGBEGIN]

# MSGLOCALDATEFMT

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_MSGLOCALDATEFMT=`date-format

Element

  `<MSGLOCALDATEFMT>
  ` date-format
  `</MSGLOCALDATEFMT>
  `

Command-line Option

  `-msglocaldatefmt` date-format

## Description

The MSGLOCALDATEFMT resource specifies the date format for the `$MSGLOCALDATE$` resource variable (i.e. The local date of the current message). The format is a string containing zero or more conversion specifications and regular characters. A conversion specification consists of the '`%`' character followed a character that determines the type of conversion.

The following lists the possible conversion specifications:

NOTE | If POSIXSTRFTIME is set, the POSIX::strftime() function will be used. Therefore, there may be more conversion specifications available. See your system's strftime() manpage for specifics.

Spec | Value
--- | ---
%% | the % character
%a | abbreviated weekday name
%A | full weekday name
%b | abbreviated month name
%B | full month name
%c | appropriate date and time representation
%d | day of month [1,31]; single digits are preceded by 0
%h | abbreviated month name
%H | hour (24-hour clock) [0,23]; single digits are preceded by 0
%I | hour (12-hour clock) [1,12]; single digits are preceded by 0
%j | day number of year [1,366]; single digits are preceded by 0
%m | month number [1,12]; single digits are preceded by 0
%M | minute[00,59]; single digits are preceded by 0
%p | am or pm.
%P | AM or PM.
%S | seconds [00,61]
%w | weekday as a decimal number [0,6], with 0 representing Sunday
%y | year within century [00,99]
%Y | year, including the century (for example 1993)

Setting MSGLOCALDATEFMT to a blank string will reset the resource to the default setting.

## Default Setting

    %a %b %d %H:%M:%S %Y

## Resource Variables

N/A

## Examples

None.

## Version

2.0

## See Also

GMTDATEFMT, LOCALDATEFMT, MONTHS, MONTHSABR, MSGGMTDATEFMT, POSIXSTRFTIME, WEEKDAYS, WEEKDAYSABR

[Prev: MSGIDLINK] | [Resources][TOC] | [Next: MSGPGBEGIN]